import 'dart:async';
import 'package:flutter/material.dart';
import 'package:flutter_bridge_webview/flutter_bridge_webview.dart';

void main() => runApp(MaterialApp(home: WebViewExample()));

class WebViewExample extends StatelessWidget {
    final Completer<BridgeWebViewController> _controller =
    Completer<BridgeWebViewController>();

    @override
    Widget build(BuildContext context) {
        return Scaffold(
            appBar: AppBar(
                title: const Text('BridgeWebView example'),
            ),
            // We're using a Builder here so we have a context that is below the Scaffold
            // to allow calling Scaffold.of(context) so we can show a snackbar.
            body: Builder(builder: (BuildContext context) {
                return BridgeWebView(
                    url: 'https://www.microduino.cn',
                );
            }),
        );
    }

}
